Subject: Re: linux-next: manual merge of the staging tree with the media tree

From: Mauro Carvalho Chehab <[email-masked]>
Date: Tue, 14 Nov 2017 23:25:20 -0200

Em Wed, 15 Nov 2017 01:28:06 +0200
Sakari Ailus <[email-masked]> escreveu:

> Hi Stephen, Greg, others,
> 
> On Mon, Nov 13, 2017 at 04:24:47PM +1100, Stephen Rothwell wrote:
> > Hi all,
> > 
> > On Mon, 9 Oct 2017 19:26:54 +0100 Mark Brown <[email-masked]> wrote:  
> > >
> > > Hi Greg,
> > > 
> > > Today's linux-next merge of the staging tree got a conflict in:
> > > 
> > >   drivers/staging/media/atomisp/pci/atomisp2/css2400/sh_css_firmware.c
> > > 
> > > between commit:
> > > 
> > >    866af46e6ebbc ("media: Staging: atomisp: fix alloc_cast.cocci warnings")
> > > 
> > > from the media tree and commit:
> > > 
> > >    4d962df5a7771 ("atomisp2: remove cast from memory allocation")
> > > 
> > > from the staging tree.
> > > 
> > > I fixed it up (see below) and can carry the fix as necessary. This
> > > is now fixed as far as linux-next is concerned, but any non trivial
> > > conflicts should be mentioned to your upstream maintainer when your tree
> > > is submitted for merging.  You may also want to consider cooperating
> > > with the maintainer of the conflicting tree to minimise any particularly
> > > complex conflicts.  
> > 
> > Just a reminder that this conflict still exists.  
> 
> Both patches essentially contain the same change, the difference is in the
> indentation only. There's a number of atomisp patches in the media tree,
> how about simply reverting the patch in the staging tree?

Today morning I merged the changeset from staging tree that Greg 
sent to Linux (and that was already merged upstream), solving the conflict.

So, except if something else pops up, the conflict at -next will
cease to exist after it gets merged back there :-)

Regards,
Mauro